Class Fox::FXFontDesc

In: | FXFont.rb
Parent: | Object

Font style

Methods

new

Attributes

encoding | [RW] | Character set encoding, such as +FONTENCODING_ISO_8859_1+ or +FONTENCODING_LATIN1+ [Integer]. See FXFont documentation for the complete list of character set encoding values.
face | [RW] | Typeface name, such as "helvetica" [String]
flags | [RW] | Flags [Integer]
setwidth | [RW] | Font set width, such as `FONTSETWIDTH_CONDENSED` or `FONTSETWIDTH_WIDE` [Integer]. See FXFont documentation for the complete list of font set width values.
size | [RW] | Font size in decipoints [Integer]
slant | [RW] | Font slant, such as `FONTSLANT_REGULAR` or `FONTSLANT_ITALIC` [Integer]. See FXFont documentation for the complete list of font slant values.
weight | [RW] | Font weight, such as `FONTWEIGHT_NORMAL` or `FONTWEIGHT_BOLD` [Integer]. See FXFont documentation for the complete list of font weigth values.

Public Class methods

new()

Constructor